Subject: Re: C-123 Addition to Walk-around
From: "Steve Bamford" <[email-masked]>
To: "tracy & da SWAMPdogs" <[email-masked]>
Date: Thu, 5 Dec 2002 22:32:40 -0800

----- Original Message ----- 
  From: tracy & da SWAMPdogs 
  To: [email-masked] 
  Sent: Thursday, December 05, 2002 5:42 PM
  Subject: C-123 Addition to Walk-around

  I wasn't able to find the original message I sent, but I had them in a folder called "For ARC" so they are easy to resend.  :-)

  As always, feel free to edit as you see fit.  I included the story of Lt. Col. Jackson coming to speak at our museum and a brief relation of how he earned the Congressional Medal of Honor in a C-123.  If you want to delete that, feel free.  If you'd like me to expand on it, I can do that as I have found further info about that event as well as a copy of the actual photo graph taken by the RB-101 overhead.  Maybe it would make an interesting article in a pinch.  Up to you.  :-)

  Oh, also if you want to not include some photos or replace some, that's cool too.  No one has any excuse, now, for not being able to detail a C-123.

  ------

  These photos were taken at Olympic Flight Museum in Olympia, Washington on 8/1/2002.  These are in addition to the photos I took earlier of the same plane, but these don't have as dreary an appearance since it was finally SUNNY when I went there with my camera.

  We had a wonderful time recently at an event at the museum when Lt. Col. Joe Jackson, a Congressional Medal of Honor recipient of the Vietnam War, was kind enough to speak about the event in which he earned the Medol of Honor.  The event that he earned the Medal of Honor during was in flying a C-123 Provider into the middle of a massive over-running of an airbase in order to rescue 3 Special Forces combat controllers who had been left behind by the last C-130 evacuating the base.  At one point as they are sitting on this runway with around 4,000 enemy soldiers closing in, mortars, artillery, small and large arms fire all around... the co-pilot exclaimed "OH MY GAWD - LOOK!" and there in front of them came a rocket "bouncing along the runway" and it stopped right in front of the plane.... without exploding.  As Mr. Jackson said, "Had it exploded, you would have had a different speaker this evening."

  Several other planes ranging from an A-1 to a C-130 to an O-2 and a couple helicopters had been shot down and destroyed on that very runway.  One C-130 returned to the evacuation airbase with over 1,000 holes blown in it.  Mr. Jackson and the rest of the crew must have been in good graces that day, as they left the runway and landed back at the evacuation base with ZERO holes in their C-123.  It is also the only Medal of Honor event in which the very moment of the incident was photographed... an RB-101 happened to be overflying the airbase at the very moment that the 3 Special Forces soldiers were breaking all land speed records running across the runway to the plane. It was awesome to actually view a photo of the event as it happened.

  This was May 12, 1968.  I was 4 months old.

  Mr. Jackson also flew P-47s, P-51s, F-82s, F-84s, the U-2 and other planes I probably glazed over in admiration before committing to memory.  He helped develop several tactics, including the SAC nuclear fighter attack method that Jeni & I have already forgotten the name of, but basically a fighter sort of tosses a nuke nearly upside-down and gets the hell out of dodge.  He later worked with Boeing after retiring from the USAF.

  It was  a truly amazing event, and gave us new respect for the big ole' C-123 that is practically in our backyard.

  You may also be interested to know that the Mach 2 72nd Scale C-123 Provider includes the markings of Lt. Col. Jackson's plane that day.

  ~ Tracy